org.apache.felix.ipojo.handlers.dependency

## Class DependencyHandlerDescription

- java.lang.Object
- - org.apache.felix.ipojo.architecture.HandlerDescription
  - - org.apache.felix.ipojo.handlers.dependency.DependencyHandlerDescription

    public class DependencyHandlerDescription
    extends HandlerDescription

Dependency Handler Description.

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`DependencyHandlerDescription(DependencyHandler handler, Dependency[] deps)` Creates the Dependency Handler description.

### Method Summary

All Methods Instance Methods Concrete Methods
`DependencyDescription[]` `getDependencies()` Get dependencies description.
`org.apache.felix.ipojo.metadata.Element` `getHandlerInfo()` Builds the Dependency Handler description.

### Methods inherited from class org.apache.felix.ipojo.architecture.HandlerDescription

`getHandlerName, isValid`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DependencyHandlerDescription

    public DependencyHandlerDescription(DependencyHandler handler,
                                        Dependency[] deps)

Creates the Dependency Handler description.

Parameters:
  `handler` - the Dependency Handler.
  `deps` - the Dependencies

### Method Detail

#### getDependencies

    public DependencyDescription[] getDependencies()

Get dependencies description.

Returns:
  the dependencies list.

#### getHandlerInfo

    public org.apache.felix.ipojo.metadata.Element getHandlerInfo()

Builds the Dependency Handler description.

Overrides:
  `getHandlerInfo` in class `HandlerDescription`
Returns:
  the handler description.
See Also:
  `HandlerDescription.getHandlerInfo()`